Bug Hunting Session
Bug 44718 - Add Unicode 2034 (Triple Prime) to OpenSymbol
Summary: Add Unicode 2034 (Triple Prime) to OpenSymbol
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: All All
: lowest enhancement
Assignee: Mathias Hasselmann
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack
Depends on:
Blocks:
 
Reported: 2012-01-12 05:09 UTC by robert.funnell
Modified: 2015-12-16 05:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description robert.funnell 2012-01-12 05:09:58 UTC
It would be useful to have double prime (Unicode 2033) and triple prime (2034) characters available, as used for degrees/minutes/seconds and for second and third derivatives. Appropriate names would be %pprime and %ppprime, following what I think is used in TeX. It might be useful to also have %prime defined, although a single prime is already available as "'".
Comment 1 Joel Madero 2012-07-15 22:49:47 UTC
2033 is available, 2034 appears to not be. I'll mark this as lowest priority, shouldn't be difficult to add it. Thanks for reporting this one

Please verify that 2033 is available in your Windows version, I'm using Linux but I can't imagine them being different. If it's not available, please provide your build version. Thanks again!
Comment 2 robert.funnell 2012-07-15 23:13:10 UTC
I actually use LO only under Linux. Under Windows I have OOo 3.3.0. I just checked and it (OOo) has both of the names %pprime and %ppprime defined in the Formula Editor in Tools > Catalogue for Symbol set = Special.

I meant my enhancement request (for whichever of LO I was using at the time, I can't check at the moment) to refer specifically to having those two symbols conveniently available in the Formula Editor. I'm not sure how or where you're invoking their Unicode values.
Comment 3 Joel Madero 2012-07-15 23:41:03 UTC
Thanks for the update, verified that they don't exist in formula editor. Double prime is available in Writer by going to Insert -> Special Characters. Since it's available there, adding it to Formula Editor shouldn't be a problem at all, the triple prime on the other hand is no where to be seen as far as I can see. 

We'll look into this as soon as possible. Thanks again
Comment 4 robert.funnell 2012-07-16 00:44:45 UTC
What font are you using? For me in OOo 3.3 with Times New Roman, I see the single, double and triple primes (2032, 2033 and 2034) all where they should be in Special Characters.
Comment 5 Michael Meeks 2012-10-01 10:02:23 UTC
So - this is indeed font related; OpenSymbol doesn't appear to have those glyphs.

So - we need to add them; first read:

http://cgit.freedesktop.org/libreoffice/core/tree/extras/source/truetype/symbol/README

And you'll find the authoritative .sfd file in that directory to edit - and add the new glyphs to.

With some dumb -luck- that might just work; please send a patch for the .sdf file with 2x new entries. It is possible we'll also need to adjust the big-table-of-re-mapping-badness in vcl/ that is used to synthesise wingdings and other common Windows fonts when they're missing.

HTH.
Comment 6 Mathias Hasselmann 2013-01-14 18:22:45 UTC
https://gerrit.libreoffice.org/#/c/1679/
Comment 7 Not Assigned 2013-01-18 15:05:34 UTC
Mathias Hasselmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=460346098714d119fc814b485c5b49bfc2c74023

Resolves: fdo#44718 Add Unicode 2034 (Triple Prime) to OpenSymbol



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2013-01-18 15:09:35 UTC
caolanm->Mathias: I don't see you listed at https://wiki.documentfoundation.org/Development/Developers Can you add yourself there and send a mail to the dev list list the examples stating that your contribution is under our preferred MPL/LGPLv3+ combination, and then add a link to your email when it shows up in the list archive.
Comment 9 Joel Madero 2013-01-20 20:59:11 UTC
Mathias Hasselmann - welcome to the LibreOffice community :) Thanks for the patch!
Comment 10 Robinson Tryon (qubit) 2015-12-16 05:11:22 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner )
[NinjaEdit]